/*
 * spwauth.h	Declarations for spwauth functions.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SPWAUTH_H
#define SPWAUTH_H

#include <shadow.h>

#define HASH_BYTES	20		/* 20 bytes for SHA */
#ifndef DEBUG
#define SHADOWMAP	"shadow.byname"	/* used to locate NIS master */
#else
#define SHADOWMAP	"passwd.byname"
#endif

#define	SPWA_SUCCESS	0
#define SPWA_FAIL	1
#define SPWA_ERROR	2

int		spwauth_check(char *user, char *pass);

#ifdef SPWAUTH_PRIVATE
char *		spcrypt(char *pass, char *salt);
struct spwd *	splookup(char *domain, char *user);
void		compute_hash(unsigned char *res, unsigned char *seed,
					char *crypted, int len);
void		get_random(unsigned char *number);
#endif

#endif /* SPWAUTH_H */
