/*
 * spwauth_prot.h	Declarations for the SPWAUTH protocol.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SPWAUTH_PROT_H
#define SPWAUTH_PROT_H


typedef struct spwuser {
	char *		spw_name;
	char *		spw_domain;
} spwuser;


#define HASH_BYTES	20
typedef struct spwcookie {
	unsigned char	spw_salt[2];
	unsigned char	spw_seed[HASH_BYTES];
	unsigned char	spw_hash[HASH_BYTES];
} spwcookie;

bool_t	xdr_spwuser(XDR *, spwuser*);
bool_t	xdr_spwcookie(XDR *, spwcookie*);


#define SPWAUTHPROG		20011223
#define SPWAUTHVERS		1
#define SPWAUTHPROC_GETCOOKIE	1

/* spwcookie * spwauthproc_getcookie_1(spwuser *, CLIENT *); */
/* spwcookie * spwauthproc_getcookie_1_svc(spwuser *, struct svc_req *); */

#endif /* SPWAUTH_PROT_H */
